cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CXF-5389) Several maven artifacts pull in wrong versions of jaxb
Date Fri, 15 Nov 2013 16:01:24 GMT

     [ https://issues.apache.org/jira/browse/CXF-5389?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daniel Kulp resolved CXF-5389.
------------------------------

       Resolution: Not A Problem
    Fix Version/s: Invalid
         Assignee: Daniel Kulp


This is working as designed.   CXF has to support Java6 which includes the JAXB 2.1 API's
and thus would pull in 2.1.x versions of Jaxb (particularly when running on Java6).   If you
need a specific version, you need to add that particular version to your own poms.   Versions
specified locally will take precedence over the versions CXF pulls in transitively.

> Several maven artifacts pull in wrong versions of jaxb
> ------------------------------------------------------
>
>                 Key: CXF-5389
>                 URL: https://issues.apache.org/jira/browse/CXF-5389
>             Project: CXF
>          Issue Type: Bug
>          Components: JAXB Databinding
>    Affects Versions: 2.7.7
>            Reporter: Chris Becker
>            Assignee: Daniel Kulp
>             Fix For: Invalid
>
>
> While trying to run wsdl2java from Gradle, I noticed several maven artifacts report dependencies
to jaxb 2.1.13 (which breaks my build):
> cxf-tools-common
> cxf-rt-core
> cxf-tools-validator
> cxf-rt-databinding-jaxb



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message